
.cookie-bar .container {
    max-width: 1640px !important;
    width: 100% !important;
    padding: 0px 20px !important;
    margin: 0 auto !important;
}

.container.ck-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5%;
}

.container.ck-flex::before{
    display: none;
}

.cookie-bar {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background: #fff;
  border-top: 1px solid #e5e7eb;
  box-shadow: 0 -10px 30px rgba(0,0,0,0.08);
  display: none;
  justify-content: space-between;
  align-items: center;
  padding: 16px 20px;
  z-index: 9999;
}

.cookie-title h4{ font-weight: 600; }
.cookie-desc p { font-size: 13px; color: #6b7280; }

.cookie-actions { display: flex; gap: 10px; }

.btn {
  padding: 8px 12px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  font-weight: 600;
  font-size: 13px;
}

.btn-accept { background: var(--primary-color); color: #fff; }
.btn-reject { background: red; color: #fff; }
.btn-settings { border: 1px solid #d1d5db; background: transparent; }

/* modal */
.modal {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.5);
  justify-content: center;
  align-items: center;
}

.modal-box {
  background: #fff;
  width: 420px;
  padding: 20px;
  border-radius: 12px;
}

.toggle {
  display: flex;
  justify-content: space-between;
  margin: 12px 0;
}

@media (min-width: 768px){
    .cookie-text {
    flex-basis: 70%;
}
.cookie-actions {
        justify-content: end;
        flex-basis: 25%;    
}

}

@media(max-width: 767px){
    .container.ck-flex {
    flex-wrap: wrap;
    flex-direction: column;
}
.cookie-text {
    padding-bottom: 15px;
}
    .cookie-text,
.cookie-actions {
    flex-basis: 100%;
}

}